Bug 875724 - [SetupNetwork]None of the boot protocols is selected when detaching and reattaching different Network to the NIC of the host
[SetupNetwork]None of the boot protocols is selected when detaching and reatt...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.1.0
x86_64 Linux
medium Severity medium
: ---
: 3.2.0
Assigned To: Alona Kaplan
GenadiC
network
: ZStream
Depends On:
Blocks: 884250
  Show dependency treegraph
 
Reported: 2012-11-12 08:23 EST by GenadiC
Modified: 2016-02-10 14:55 EST (History)
9 users (show)

See Also:
Fixed In Version: sf1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 884250 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Network
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot of the problem (264.53 KB, image/png)
2012-11-12 08:23 EST, GenadiC
no flags Details

  None (edit)
Description GenadiC 2012-11-12 08:23:13 EST
Created attachment 643526 [details]
screenshot of the problem

Description of problem:
If you attach Network_A to the NIC and then detach and reattach another Network to the same NIC, this Network will appear without boot protocol selected

How reproducible:
Always

Steps to Reproduce:
1.Attach Network A to the NIC_A
2.Detach Network A from the NIC_A
3.Attach Network_B to the NIC_A
  
Actual results:
Network_B appears without boot protocol selected

Expected results:
None or DHCP or Static boot protocol should be selected


Additional info:
Comment 1 Alona Kaplan 2012-11-12 10:40:02 EST
http://gerrit.ovirt.org/#/c/9194/
Comment 2 Alona Kaplan 2012-12-06 09:00:33 EST
The first fix caused a bug fixed in commit- 3d97d9c3a3c4dc46162d63811ebee5cc20287e38
Comment 3 Alona Kaplan 2012-12-11 07:36:32 EST
The bug reproduces just if both of the networks has no vlan.
And Network_B was unattached from the point the dialog was opened till the attachment to NIC_A.
Comment 5 GenadiC 2013-01-09 04:57:45 EST
Verified in rhevm-3.2.0-4.el6ev.noarch
Comment 6 Itamar Heim 2013-06-11 05:00:03 EDT
3.2 has been released
Comment 7 Itamar Heim 2013-06-11 05:00:07 EDT
3.2 has been released
Comment 8 Itamar Heim 2013-06-11 05:00:07 EDT
3.2 has been released
Comment 9 Itamar Heim 2013-06-11 05:01:26 EDT
3.2 has been released
Comment 10 Itamar Heim 2013-06-11 05:30:58 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.